This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 471003 - Review Request: cabal-install - Haskell package utility
Review Request: cabal-install - Haskell package utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On: 425882 470756
Blocks: F11Target haskell-platform
  Show dependency treegraph
 
Reported: 2008-11-11 05:51 EST by Jens Petersen
Modified: 2014-03-11 01:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 04:37:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bos: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Log of failed build attempt (1.41 KB, text/plain)
2009-02-11 14:09 EST, Bryan O'Sullivan
no flags Details

  None (edit)
Description Jens Petersen 2008-11-11 05:51:43 EST
Spec URL: http://petersen.fedorapeople.org/cabal-install/cabal-install.spec
SRPM URL: http://petersen.fedorapeople.org/cabal-install/cabal-install-0.6.0-1.fc9.src.rpm
Description: 
cabal-install provides a user-based Haskell Hackage package manager
which is essential for modern Haskell development.
Comment 1 Jens Petersen 2008-11-11 05:54:14 EST
This requires ghc-zlib and ghc-HTTP which are currently under review.
Comment 2 Jason Tibbitts 2008-11-11 08:52:13 EST
I think the dependencies are backwards.  Does this block ghc-zlib or is it the other way around?
Comment 3 Jens Petersen 2008-11-11 18:19:18 EST
Oops thanks - made this depend on ghc-zlib and ghc-HTTP reviews.
Comment 4 Jens Petersen 2009-01-07 00:02:36 EST
Dependencies are now in rawhide.

Updating package for latest packaging macros.

Spec URL: http://petersen.fedorapeople.org/cabal-install/cabal-install.spec
SRPM URL:
http://petersen.fedorapeople.org/cabal-install/cabal-install-0.6.0-2.fc10.src.rpm
(please ignore the disttag - requires ghc in rawhide to build currently)
Comment 5 Jens Petersen 2009-02-09 06:58:57 EST
ping anyone? :)

It would be really good to get this into F11 - it is the "rubygems" of the Haskell world. :)
Comment 6 Jens Petersen 2009-02-09 08:56:23 EST
I rebuilt (updated) ghc-zlib - so that it installs correctly and this should actually build again now on rawhide (oops!):

http://koji.fedoraproject.org/koji/taskinfo?taskID=1115148

As soon as ghc-6.10.1 has been pushed to f10-updates I will build ghc-zlib and ghc-HTTP there too.


Spec URL: http://petersen.fedorapeople.org/cabal-install/cabal-install.spec
SRPM URL:
http://petersen.fedorapeople.org/cabal-install/cabal-install-0.6.0-3.fc10.src.rpm

(just fixed the URL field)
Comment 7 Bryan O'Sullivan 2009-02-11 14:08:56 EST
I tried building the above SRPM on F10 using the following packages:

ghc-6.10.1-8.fc11.i386
ghc-zlib-0.5.0.0-5.fc11.i386
ghc-HTTP-3001.1.5-1.fc11.i386

The build failed per the attachment.
Comment 8 Bryan O'Sullivan 2009-02-11 14:09:35 EST
Created attachment 331608 [details]
Log of failed build attempt

Failed build.
Comment 9 Jens Petersen 2009-02-11 20:39:31 EST
The .spec file in comment 6 does not use %cabal_build: you trying another older package perhaps?
Comment 10 Bryan O'Sullivan 2009-02-12 01:56:07 EST
Here's my review.

#  MUST: rpmlint must be run on every package.

  srpm is clean, binary rpm reports these:

  cabal-install.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/cabal
  cabal-install.x86_64: W: executable-stack /usr/bin/cabal

  These are both acceptable.

# MUST: The package must be named according to the Package Naming Guidelines.

OK.

# MUST: The spec file name must match the base package %{name}.

OK.

# MUST: The package must meet the Packaging Guidelines.

OK.

# MUST: The package must be licensed with a Fedora approved license [...]

BSD3 == OK.

# MUST: The License field in the package spec file must match [...]

OK.

# MUST: license(s) in %doc.

OK.

# MUST: The spec file must be written in American English.

OK.

# MUST: The spec file for the package MUST be legible.

OK.

# MUST: The sources used to build the package must match the upstream [...]

OK.

# MUST: successfully compile and build [...]

OK.

# MUST: architectures in ExcludeArch.

OK.

# MUST: All build dependencies must be listed in BuildRequires [...]

OK.

# MUST: The spec file MUST handle locales properly.

OK.

# MUST: shared library ldconfig

NA.

# MUST: If the package is designed to be relocatable [...]

NA.

# MUST: A package must own all directories that it creates.

OK.

# MUST: A package must not contain any duplicate files in the %files listing.

OK.

# MUST: Permissions on files must be set properly.

OK.

# MUST: Each package must have a %clean section [...]

OK.

# MUST: Each package must consistently use macros.

OK.

# MUST: The package must contain code, or permissable content.

OK.

# MUST: Large documentation files must go in a -doc subpackage.

NA.

# MUST: %doc must not affect runtime

OK.

# MUST: Header files must be in a -devel package.

NA.

# MUST: Static libraries must be in a -static package.

Exempt.

# MUST: Packages containing pkgconfig(.pc) files [...]

NA.

# MUST: If a package contains library files with a suffix [...]

NA.

# MUST: In the vast majority of cases, devel packages [...]

NA.

# MUST: Packages must NOT contain any .la libtool archives [...]

NA.

# MUST: Packages containing GUI applications [...]

NA.

# MUST: Packages must not own files or directories already owned [...]

NA.

# MUST: %install rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK.

# MUST: All filenames in rpm packages must be valid UTF-8.

OK.

# SHOULD: If the source package does not include license text [...]

NA.

# SHOULD: description and summary translations

No.

# SHOULD: The reviewer should test that the package builds in mock.

OK.

# SHOULD: binary rpms on all supported architectures.

Tested x86_64 and i386.

# SHOULD: functions as described

OK.

# SHOULD: If scriptlets are used, those scriptlets must be sane.

OK.

# SHOULD: Usually, subpackages other than devel [...]

NA.

# SHOULD: The placement of pkgconfig(.pc) files [...]

NA.

# SHOULD: If the package has file dependencies outside of [...]

This package is APPROVED.
Comment 11 Jens Petersen 2009-02-12 23:11:47 EST
Thanks, Bryan, for reviewing.

New Package CVS Request
=======================
Package Name: cabal-install
Short Description: Haskell package (hackage) tool
Owners: petersen
Branches: F-10
InitialCC:  haskell-sig
Comment 12 Kevin Fenzi 2009-02-13 01:41:13 EST
cvs done.
Comment 13 Jens Petersen 2009-02-13 04:37:18 EST
Package imported and built.
Comment 14 Jens Petersen 2010-09-29 01:45:03 EDT
Package Change Request
======================
Package Name: cabal-install
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 15 Kevin Fenzi 2010-09-29 14:36:52 EDT
Git done (by process-git-requests).
Comment 16 Jens Petersen 2013-11-12 22:35:13 EST
Package Change Request
======================
Package Name: cabal-install
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 17 Jon Ciesla 2013-11-13 07:58:03 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.